/* --COPYRIGHT--,BSD
 * Copyright (c) 2014, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/


#ifndef READ_H_
#define READ_H_


#define ChipSelect_Alt 0

#define dummy 0xF1
#define Write_Enable 	0x06
#define Write			0xAD
#define	Read_Stat		0x05
#define Write_Disable	0x04
#define Chip_Erase		0x60
#define Write_Stat		0x01
#define Status			0x00


#define cycle_delay  8

//Processor Specific  F5529

#define BusyCheck			(UCB0STAT&UCBUSY)
#define SpiTxBuff				(UCB0TXBUF)
#define SpiRxBuff				(UCB0RXBUF)
#define SpiRxFlagClear()    UCB0IFG &= ~(UCRXIFG)
#define SpiRxIntEnable()    UCB0IE |= UCRXIE
#define SpiRxIntDisable()   UCB0IE &= ~(UCRXIE)
#define MISODIR				(P3DIR &= ~(BIT1))
#define MISOSEL				(P3SEL |= BIT1)
#define MOSIDIR				(P3DIR |= BIT0)
#define MOSISEL				(P3SEL |= BIT0)
#define SPIClkDIR			(P3DIR |= BIT2)
#define SPIClkSEL			(P3SEL |= BIT2)
#if(ChipSelect_Alt)
#define CSDIR				(P2DIR |= BIT2)
#define CS_High() 			P2OUT |= BIT2
#define CS_Low() 			P2OUT &= ~BIT2
#else
#define CSDIR				(P2DIR |= BIT3)
#define CS_High() 			P2OUT |= BIT3
#define CS_Low() 			P2OUT &= ~BIT3
#endif

#endif /* READ_H_ */
