/* --COPYRIGHT--,BSD
 * Copyright (c) 2016, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
/*
 * Playback_UserDefine.h
 *
 *  Created on 02/16 by JH
 */
/*****************************************************************************/
/*   User Define area for sound files and HAL configuration
/ *  To be used with Playback_main.c  and Playback_HAL.h           */
/*****************************************************************************/

///*****************************************************************
///*****************Start: User Defined Area************************

//***Playback Frequency Select  -- Changes clock settings
// Frequency Options
// FREQUENCY_8kHz
// FREQUENCY_16kHz
// FREQUENCY_22kHz  *Only avilable on MSP430F5529LP
// FREQUENCY_44kHz  *Only avilable on MSP430F5529LP
//***
#define FREQUENCY_SELECT FREQUENCY_44kHz

//*** Sound Sample Lengths defines
//    Recommend length variable to be smaller than actual sample length
//    in order to cut out potential noise at sample end.
//***
const uint32_t soundDataLength1 = 00000; // Length in Hex : 0x0000
const uint32_t soundDataLength2 = 00000; // Length in Hex : 0x0000
const uint32_t soundDataLength3 = 00000; // Length in Hex : 0x0000
const uint32_t soundDataLength4 = 00000; // Length in Hex : 0x0000

//*** Start addresses in SPI Flash defines
//***
const uint32_t soundDataStartAddress1 = 0x00000; 
const uint32_t soundDataStartAddress2 = 0x00000; 
const uint32_t soundDataStartAddress3 = 0x00000; 
const uint32_t soundDataStartAddress4 = 0x00000; 

//***Alternative Pin Select -- Change define to '1' to use alternate
//***pin configuration. '0' value denotes default pins
#define CHIPSELECT_ALTERNATE            0
#define AUDIOAMPSHUTDOWN_ALTERNATE      0   //Only available on MSP430F5529LP
#define AUDIOPWM_ALTERNATE              0   //Only available on MSP430F5529LP

//***Debug Setting for Debug pin toggling -- Debug is inactive when set to '0'
//DebugPin 0 toggles at every Timer_ISR Entrance/Exit to monitor playback freq.
//DebugPin 1 toggles between every polling SPI transaction
//Debug also outputs SMCLK to monitor Timer Frequency
//***
#define DEBUG 0

///*****************End: User Defined Area***************************
///******************************************************************
